Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xpath.patterns
Class FunctionPattern

    java.lang.Object
      |
      +--org.apache.xpath.Expression
            |
            +--org.apache.xpath.patterns.NodeTest
                  |
                  +--org.apache.xpath.patterns.StepPattern
                        |
                        +--org.apache.xpath.patterns.FunctionPattern

public class FunctionPattern
extends StepPattern

Fields inherited from class org.apache.xpath.patterns.NodeTest
`SCORE_NONE, SHOW_BYFUNCTION, SHOW_NAMESPACE, WILD`

Constructor Summary
`FunctionPattern(Expression expr)`

Method Summary
`XObject` | `execute(XPathContext xctxt)` Test a node to see if it matches the given node test.

Methods inherited from class org.apache.xpath.patterns.StepPattern
`calcTargetString, executeRelativePathPattern, executeStep, getLastPos, getMatchScore, getPredicate, getPredicateCount, getProximityPosition, getTargetString, setPredicates, setRelativePathPattern`

Methods inherited from class org.apache.xpath.patterns.NodeTest
`debugWhatToShow, getDefaultScore, getLocalName, getNamespace, getWhatToShow, initNodeTest, initNodeTest`

Methods inherited from class org.apache.xpath.Expression
`assert, error, warn`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FunctionPattern

    public FunctionPattern(Expression expr)

Method Detail

### execute

    public XObject execute(XPathContext xctxt)
                    throws SAXException

  Test a node to see if it matches the given node test.
  Parameters:
    `xpath` - The xpath that is executing.
    `context` - The current source tree context node.
    `opPos` - The current position in the xpath.m_opMap array.
    `len` - The length of the argument.
    `len` - The type of the step.
  Overrides:
    execute in class StepPattern

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.